package edu.lawrence.auction;

import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/users")
@CrossOrigin(origins = "*")
public class UserController {

    private UserDAO dao;

    public UserController(UserDAO dao) {
        this.dao = dao;
    }

    @GetMapping(params = {"name", "password"})
    public String checkLogin(@RequestParam(value = "name") String user, @RequestParam(value = "password") String password) {
        User result = dao.findByNameAndPassword(user, password);
        if (result == null) {
            return "";
        }
        return result.getKey();
    }

    @PostMapping
    public String save(@RequestBody User user) {
        return dao.save(user);
   }
}