package edu.lawrence.auction;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.stereotype.Repository;

@Repository
public class UserDAO {
    @Autowired
    private JdbcTemplate jdbcTemplate;
    
    public User findByNameAndPassword(String name,String password) {
    	String sql = "SELECT * FROM users WHERE name=? and password=?";
        RowMapper<User> rowMapper = new UserRowMapper();
        User result = null;
        try {
            result = jdbcTemplate.queryForObject(sql, rowMapper, name, password);
        } catch(Exception ex) {
            
        }
        return result;	
    }

    public String save(User user) {
        // Have MySQL generate a unique id
        String idSQL = "select uuid()";
        String key = null;
        try {
            key = jdbcTemplate.queryForObject(idSQL, String.class);
        } catch(Exception ex) {
            key = "Error";
        }
        if(key.equals("Error"))
            return key;

        String insertSQL = "insert into users(userid,name,password) values (?, ?, ?)";
        jdbcTemplate.update(insertSQL,key,user.getName(), user.getPassword());
        return key;
    }
}